Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Constraint

    java.lang.Object
      |
      +--org.hsqldb.Constraint

class Constraint
extends java.lang.Object

Class declaration

Field Summary
`(package private) static int` | `FOREIGN_KEY`
`(package private) static int` | `MAIN`
`(package private) static int` | `UNIQUE`

Constructor Summary
`(package private)` | `Constraint(int type, Table t, int[] col)` Constructor declaration
`(package private)` | `Constraint(int type, Table main, Table ref, int[] cmain, int[] cref)` Constructor declaration

Method Summary
`(package private) void` | `checkDelete(java.lang.Object[] row)` Method declaration
`(package private) void` | `checkInsert(java.lang.Object[] row)` Method declaration
`(package private) void` | `checkUpdate(int[] col, Result deleted, Result inserted)` Method declaration
`(package private) Table` | `getMain()` Method declaration
`(package private) int[]` | `getMainColumns()` Method declaration
`(package private) Table` | `getRef()` Method declaration
`(package private) int[]` | `getRefColumns()` Method declaration
`(package private) int` | `getType()` Method declaration
`(package private) void` | `replaceTable(Table old, Table n)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOREIGN_KEY

    static final int FOREIGN_KEY

### MAIN

    static final int MAIN

### UNIQUE

    static final int UNIQUE

Constructor Detail

### Constraint

    Constraint(int type,
               Table t,
               int[] col)

  Constructor declaration
  Parameters:
    `type` -
    `t` -
    `col` -

### Constraint

    Constraint(int type,
               Table main,
               Table ref,
               int[] cmain,
               int[] cref)
         throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `type` -
    `main` -
    `ref` -
    `cmain` -
    `cref` -

Method Detail

### getType

    int getType()

  Method declaration
  Returns:

### getMain

    Table getMain()

  Method declaration
  Returns:

### getRef

    Table getRef()

  Method declaration
  Returns:

### getMainColumns

    int[] getMainColumns()

  Method declaration
  Returns:

### getRefColumns

    int[] getRefColumns()

  Method declaration
  Returns:

### replaceTable

    void replaceTable(Table old,
                      Table n)
                throws java.sql.SQLException

  Method declaration
  Parameters:
    `old` -
    `n` -
  Throws:
    java.sql.SQLException -

### checkInsert

    void checkInsert(java.lang.Object[] row)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
  Throws:
    java.sql.SQLException -

### checkDelete

    void checkDelete(java.lang.Object[] row)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `row` -
  Throws:
    java.sql.SQLException -

### checkUpdate

    void checkUpdate(int[] col,
                     Result deleted,
                     Result inserted)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `col` -
    `deleted` -
    `inserted` -
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD